## ros-kinetic-cob-gazebo-tools 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_gazebo_tools)

find_package(catkin REQUIRED)

catkin_package()

catkin_install_python(PROGRAMS
  scripts/move_object.py
  scripts/remove_object.py
  scripts/spawn_object.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-kinetic-cob-gazebo-tools (0.7.5-1xenial) xenial; urgency=high

  * Merge pull request #178 <https://github.com/ipa320/cob_simulation/issues/178> from fmessmer/test_noetic
    test noetic
  * ROS_PYTHON_VERSION conditional dependency
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 01 Dec 2020 23:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.7.4-1xenial) xenial; urgency=high

  * Merge pull request #175 <https://github.com/ipa320/cob_simulation/issues/175> from LoyVanBeek/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * fix pylint error
  * python3 compatibility via 2to3
  * Merge pull request #176 <https://github.com/ipa320/cob_simulation/issues/176> from fmessmer/conditional_inorder
    add ROS_DISTRO condition for --inorder
  * add ROS_DISTRO condition for --inorder
  * Merge pull request #174 <https://github.com/ipa320/cob_simulation/issues/174> from fmessmer/ci_updates
    [travis] ci updates
  * use catkin_install_python
  * catkin_lint fixes
  * Merge pull request #173 <https://github.com/ipa320/cob_simulation/issues/173> from fmessmer/fix_move_initialpose
    improve move initialpose + fix python warnings
  * better condition for move_initialpose
  * fix python warnings
  * fix endless loop
  * add retry condition for move_initialpose
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.7.3-1xenial) xenial; urgency=high

  * add CHANGELOG for cob_gazebo_tools
  * Merge pull request #172 <https://github.com/ipa320/cob_simulation/issues/172> from fmessmer/cob_gazebo_tools
    new package cob_gazebo_tools
  * move scripts to cob_gazebo_tools
  * add new package cob_gazebo_tools
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.7.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 09 Aug 2019 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.7.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 07 Aug 2019 16:57:00 -0000

ros-kinetic-cob-gazebo-tools (0.7.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 07 Aug 2019 11:12:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.10-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.9-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.8-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Jul 2017 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.7-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 23 Oct 2016 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.6-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.5-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.4-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Aug 2015 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.3-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 21 Sep 2014 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.6.0-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 17 Sep 2014 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.5.3-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 27 Aug 2014 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.5.2-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-kinetic-cob-gazebo-tools (0.5.1-1xenial) xenial; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 26 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-kinetic-cob-gazebo-tools
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/cob_gazebo_tools
Standards-Version: 3.9.2

Package: ros-kinetic-cob-gazebo-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-numpy, ros-kinetic-gazebo-msgs, ros-kinetic-geometry-msgs, ros-kinetic-roslib, ros-kinetic-rospy, ros-kinetic-tf
Description: The cob_gazebo_tools package provides helper tools for the gazebo simulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-cob-gazebo-tools//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
